Broken Plugins Due To New API

Discussion in 'Spigot Discussion' started by Zeokon, Dec 6, 2012.

  1. VanishNoPacket and TagAPI have functional dev builds. Cleaning up the code today.
     
  2. This is what I could gather:
    Code (Text):

    2012-12-06 01:09:51 [SEVERE] Could not load 'plugins/CombatTag.jar' in folder 'plugins'
    2012-12-06 01:09:51 [SEVERE] Could not load 'plugins/BKCommonLib.jar' in folder 'plugins'
    2012-12-06 01:09:52 [SEVERE] Could not load 'plugins/SilkSpawners.jar' in folder 'plugins'
    2012-12-06 01:09:52 [SEVERE] Could not load 'plugins/NoLagg.jar' in folder 'plugins'
    2012-12-06 01:09:52 [SEVERE] Error occurred while enabling DeityAPI v12.08.19 (Is it up to date?)
    2012-12-06 01:09:56 [SEVERE] Error occurred while enabling OpenInv v1.9.0 (Is it up to date?)
    2012-12-06 01:09:56 [SEVERE] Error occurred while enabling NoCheatPlus v3.8.3-b262 (Is it up to date?)
    2012-12-06 01:09:56 [SEVERE] Error occurred while enabling MinecartManiaRebornCore v1.5.1 (Is it up to date?)
    2012-12-06 01:09:57 [SEVERE] Error occurred while enabling MinecartManiaRebornAutocart v1.5 (Is it up to date?)
    2012-12-06 01:09:58 [SEVERE] Error occurred while enabling MinecartManiaRebornSignCommands v1.5 (Is it up to date?)
    2012-12-06 01:09:59 [SEVERE] Error occurred while enabling MinecartManiaRebornAdminControls v1.5 (Is it up to date?)
    2012-12-06 01:09:59 [SEVERE] Error occurred while enabling CraftBookCircuits v1278-2bf91e4 (Is it up to date?)
    2012-12-06 01:09:59 [SEVERE] Error occurred while enabling HelpTicket v12.09.01 (Is it up to date?)
    2012-12-06 01:10:00 [SEVERE] Error occurred while enabling MinecartManiaRebornStation v1.5.1 (Is it up to date?)
     
  3. Towny
    CoreProtect

    Both broken.
     
  4. Where to get vorldedit?
     
  5. I was having problems with PermissionsEX and had to downgrade Spigot, I'll be testing this tonight for more info
     
    #9 ActimelPL, Dec 9, 2012
    Last edited: Dec 9, 2012
  6. mikeprimm

    mikeprimm Retired Developer
    Retired

    Dynmap has fixed development build (v1.2), Dynmap-Mobs has fixed release (v0.40). Hoping to release the Dynmap build tonight, if I have enough time to finish testing.

    Edit: Released Dynmap v1.2 last night, so we're good on the RB now :)
     
    #10 mikeprimm, Dec 10, 2012
    Last edited: Dec 11, 2012
    • Like Like x 1
  7. So this will basically slaughter any inactive plugin. Yay!
     
  8. Only inactive plugins touching volatile system internals.
     
  9. Those are the best ones
     
    • Agree Agree x 2
  10. octagami

    Benefactor

    I can confirm Towny will work if rebuilt against Bukkit R0.3. The commit that broke it was the change to EntityChangeBlockEvent.

    LWC is working on dev builds #787+, although from Hinendra's check-in it sounds like performance may have taken a hit: http://ci.griefcraft.com/job/LWC/787/changes

    WorldEdit is broken, or at least commands as basic as //set 0 throw exceptions. I'm going to try keeping it anyway as a dependency for some other plugins and just avoid using the functionality.

    RecipeManager is broken. I grabbed the source, fixed the imports myself and rebuilt, so I have a usable copy. I'll fork if needed, although if you know how to use git and build you can probably just fix the imports yourself. Plus I don't want to step on THDigi's toes in case he updates soon.

    Otherwise things look good on my end. MobCatcher (v3.2) and DisguiseCraft (v.40) are updated, along with dynmap and VanishNoPacket as mentioned here (both a core part of my plugin set, thanks a ton guys).
     
  11. Yes I have a recompiled Towny if anyone needs it.

    WorldEdit has a special version just for Bleeding CraftBukkit builds: http://build.sk89q.com/job/WorldEdit - 1.4.5 Compatible/
     
  12. Puremin0rez

    Moderator

    Lol, we're all updating plugins for 1.4.5 then they're all gonna break again in 1.4.6 which comes out in a few days...

    Thanks commit, you're helping admins everywhere. *Cough*
     
  13. At least we'll have a few days of really solid performance. Everything is finally running perfect.
     
    • Agree Agree x 1
  14. I need a working version for Towny. Could you upload it please? :)

    Edit: I also really need VirtualPack. Could someone make it working? Thank you
     
    #19 aselox, Dec 17, 2012
    Last edited: Dec 18, 2012
  15. #20 treestompz, Dec 18, 2012
    Last edited: Dec 18, 2012